<?php
/**
 * Setting the default admin theme options and menus
*/

    /*********************************************
     * General Options
     *********************************************
    */

        // General Settings
        $this->admin_option('تنظیمات عمومی',
            'نحوه نمایش لوگو', 'themater_logo_source', 
            'callback', 'image', 
            array('callback' =>'themater_logo_source')
        );
        
        $this->admin_option('تنظیمات عمومی', 
            'Logo Image Wrap', 'themater_logo_iamge_wrap', 
            'raw', '<div id="themater_logo_image">', 
            array('display'=>'clean')
        );
            
        $this->admin_option('تنظیمات عمومی', 
            'تصویر لوگو', 'logo', 
            'imageupload', get_template_directory_uri()  . "/images/logo.png", 
            array('display' => 'extended', 'help' => 'آدرس کامل لوگو را وار کنید و یا یک تصویر آپولود نمایید .')
        );
        
        $this->admin_option('تنظیمات عمومی', 
            'Logo Image Wrap End', 'themater_logo_iamge_wrap_end', 
            'raw', '</div>', 
            array('display'=>'clean')
        );
        
        $this->admin_option('تنظیمات عمومی', 
            'Logo Text Wrap', 'themater_logo_text_wrap', 
            'raw', '<div id="themater_logo_text">', 
            array('display'=>'clean')
        );
            
        $this->admin_option('تنظیمات عمومی',
            'عنوان سایت', 'site_title', 
            'text', get_bloginfo('name'),
            array('display'=>'inline')
        );
        
        $this->admin_option('تنظیمات عمومی',
            'توضیحات سایت', 'site_description', 
            'text', '', 
            array('display'=>'inline')
        );
        
        $this->admin_option('تنظیمات عمومی', 
            'پایان متن لوگو', 'themater_logo_text_wrap_end', 
            'raw', '</div>', 
            array('display'=>'clean')
        );
            
        $this->admin_option('تنظیمات عمومی', 
            'انتخاب تصویر فاویکن', 'favicon', 
            'imageupload', get_template_directory_uri() . "/images/favicon.png", 
            array('display' => 'extended', 'help' => 'برای انتخاب فاویکن ادرس کامل را وارد کنید اگر نمی خواهید فاویکن در سایت شما نشان داده شود این گزینه را خالی رها کنید')
        );
        
        $this->admin_option('تنظیمات عمومی',
            'پست الکترونیکی مورد نیاز برای فرم تماس', 'contact_form_email', 
            'text', get_option('admin_email'),
            array('display' => 'extended', 'help' => 'پیام ارسال شده توسط فرم تماس با ما به این پست الکترونیکی ارسال خواهد شد')
        );
        
    
    /*********************************************
     * Layout Options
     *********************************************
    */
 
        $this->admin_option('تنطیمات لایه ها',
            '"ادامه مطلب" Text', 'read_more', 
            'text', 'ادامه مطلب'
        );
        
        
        $this->admin_option('تنطیمات لایه ها', 
            'تنظیمات تصاویر شاخص', 'featured_image_settings', 
            'content', ''
        );
        
        $this->admin_option('تنطیمات لایه ها', 
            'تنظیمات تصاویر شاخص صفحه اصلی', 'featured_image_settings_homepage', 
            'raw', '<b>&raquo;</b> تنظیمات تصاویر برجسته موجود در صفحاتی مانند ( صفحه اصلی, صفحه منو ها, صفحه برچسب ها, صفحه نتایج جستجو و صفحه بایگانی ).<br /><br />'
        );
        
        $this->admin_option('تنطیمات لایه ها',
            'عرض تصویر', 'featured_image_width', 
            'text', '200', 
            array('display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' پیکسل')
        );
        
        $this->admin_option('تنطیمات لایه ها',
            'طول تصویر', 'featured_image_height', 
            'text', '160', 
            array('display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' پیکسل')
        );
        
        $this->admin_option('تنطیمات لایه ها',
            'محل نمایش تصویر', 'featured_image_position', 
            'radio', 'alignleft', 
            array('options'=>array('alignleft' => 'چپ', 'alignright'=> 'راست', 'aligncenter'=>'مرکز') , 'display'=>'inline')
        );
        
        $this->admin_option('تنطیمات لایه ها', 
            'تنظیمات تصاویر شاخص موجود در صفحه ادامه مطلب', 'featured_image_settings_single', 
            'raw', '<b>&raquo;</b> تنظیمات تصاویر شاخص موجود در صفحات ادامه مطلب و برگه ها<br /><br />'
        );
        
        $this->admin_option('تنطیمات لایه ها',
            'عرض تصویر', 'featured_image_width_single', 
            'text', '300', 
            array('display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' پیکسل')
        );
        
        $this->admin_option('تنطیمات لایه ها',
            'طول تصویر', 'featured_image_height_single', 
            'text', '225', 
            array('display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' پیکسل')
        );
        
        $this->admin_option('تنطیمات لایه ها',
            'محل نمایش تصویر', 'featured_image_position_single', 
            'radio', 'alignleft', 
            array('options'=>array('alignleft' => 'چپ', 'alignright'=> 'راست', 'aligncenter'=>'وسط') , 'display'=>'inline')
        );
        
        $this->admin_option('تنطیمات لایه ها', 
            'تنظیمات متن نمایش داده شده در پانوشت', 'footer_custom_text', 
            'textarea', '', 
            array('help' => 'می توانید متن مورد نظرتان را وارد کنید و یا از متن پیشفرض استفاده کنید . بهتر است متنی را برای معرفی  سایت تان بنویسید .', 'display'=>'extended-top', 'style'=>'height: 140px;')
        );

    /*********************************************
     * Integration
     *********************************************
    */
        $this->admin_option('تنظیمات یکپارچگی',
            'ادرس فید RSS سایت', 'rss_url', 
            'text', '', 
            array('help' => 'ادرس فید سایت تان را وارد کنید.', 'display'=>'extended-top')
        );
        
        $this->admin_option('تنظیمات یکپارچگی',
            'شیوه نامه اختصاصی خودتان را وارد کنید', 'custom_css', 
            'textarea', '', 
            array('help' => 'کدهایی که در این قسمت قرار می گیرند در داخل تگ HEAD نمایش داده می شوند کدها را بدون تگ باز و بسته STYLE وارد کنید.', 'display'=>'extended-top', 'style'=>'height: 180px;')
        );
        
        $this->admin_option('تنظیمات یکپارچگی',
            'کدهای خودتان را اضافه کنید', 'head_code', 
            'textarea', '', 
            array('help' => 'کدهایی که در این قسمت قرار می گیرند قبل از تگ بسته HEAD نمایش داده می شوند می توانید کد امارگیر سایت تان را در اینجا وارد کنید', 'display'=>'extended-top', 'style'=>'height: 180px;')
        );
        
        $this->admin_option('تنظیمات یکپارچگی',
            'کدهایی که در فوتر سایت تان قرار می گیرند', 'footer_code', 
            'textarea', '', 
            array('help' => 'کدهایی که در این بخش قرار می گیرند بل از تگ بسته BODY نمایش داده می شوند', 'display'=>'extended-top', 'style'=>'height: 180px;')
        );
        
    
   /*********************************************
     * Ads
     *********************************************
    */

    $this->admin_option('تبلیغات', 
        'بنر های تبلیغاتی سر صفحه', 'header_banner', 
        'textarea', '', 
        array('help' => 'کدهای تبلیغاتی مورد نیازتان را وارد کنید اندازه تبلیغاتی که در این محل نمایش داده می شود 468x60 پیکسل است ، ادرس تصویر و پیوند مورد نظرتان نیز باید در کد حوجود باشند', 'display'=>'extended-top', 'style'=>'height: 120px;')
    ); 
    
    /*********************************************
     * Reset Options
     *********************************************
    */
    
    $this->admin_option('بازگردانی تنطیمات',
        'بازگردانی تنطیمات پوسته به حالت اولیه', 'reset_options', 
        'content', '
        <div id="fp_reset_options" style="margin-bottom:40px; display:none;"></div>
        <div style="margin-bottom:40px;"><a class="button-primary tt-button-red" onclick="if (confirm(\'تمام تنظیمات قبلی تان حذف خواهند شد ایا برای انجام این کار دل استوار هستید ؟\')) { themater_form(\'admin_options&do=reset\', \'fpForm\',\'fp_reset_options\',\'true\'); } return false;">همین الان تنظیمات اولیه را بازگردان</a></div>', 
        array('help' => 'بازگردانی تنظیمات پوسته به حالت اولیه <span style="color:red;"><strong>توجه کنید :</strong> تمام تنظیمات قبلی تان حذف خواهند شد</span>', 'display'=>'extended-top')
    );
    
    /*********************************************
     * Support
     *********************************************
    */
    $get_theme_data = get_theme_data(TEMPLATEPATH . '/style.css');
    $this->admin_option('حمایت',
        'Support', 'support',
        'raw', '<ul>
        <li><strong>پوسته :</strong> ' . $get_theme_data['Name'] . ' ' . $get_theme_data['Version']  .' </li>
        <li><strong>طراح پوسته :</strong> <a href="' . $get_theme_data['AuthorURI'] . '" target="_blank">' . $get_theme_data['Author'] . '</a></li>
		<li><strong>فارسی ساز پوسته : </strong><a target="_blank" href="http://artabaz.ir">آرتاباز - مرجع دانلود پوسته وردپرس</a></li>
        <li><strong>صفحه اصلی :</strong> <a href="' . $get_theme_data['URI'] . '" target="_blank">' . $get_theme_data['URI'] . '</a></li>
        <li><strong>انجمن های حمایتی پوسته</strong> <a href="' . $get_theme_data['AuthorURI'] . '/forum/" target="_blank">' . $get_theme_data['AuthorURI'] . '/forum/</a></li>
        </ul>
		<p>انجمن های حمایتی پوسته فقط در نسخه های خریداری شده فعال هستند برای ایجاد تغییرات و یا رفع مشگلات تان به سایت فارسی ساز پوسته مراجعه نمایید .</p>
		
		'
    );
    
    $the_theme_slug_url =  str_replace(' ', '-', trim(strtolower($get_theme_data['Name'])));
    $this->admin_option('ارتقاء به نسخه پرمیوم',
        'آدرس نسخه رایگان پوسته', 'link_free', 
        'raw', '<div class="tt-notice">شما می توانید پوسته را بدون هیچ محدودیتی خریداری نمایید و امکان حذف پیوند های پانوشت در نسخه های پرمیوم وجود دارد . <a href="' . $get_theme_data['AuthorURI'] . '/buy/?theme=' . $the_theme_slug_url . '" target="_blank">' . $get_theme_data['AuthorURI'] . '/buy/?theme=' . $the_theme_slug_url . '</a><br />بروزرسانی به نسخه پرمیوم آسان است و هیچ کدام از تنظیمات ان از بین نمی رود</div>', 
        array('priority' => '1')
    ); //the_theme_slug_url
    
    
    /*********************************************
     * FUNCTIONS
     *********************************************
    */
        
    function themater_logo_source()
    {
        global $theme;
        $get_logo_source = $theme->get_option('themater_logo_source');
        $logo_sources = array('image'=> 'Logo Image', 'text'=> 'Custom Text');
        
        foreach($logo_sources as $key=>$val) {
            $logo_source_selected = $get_logo_source == $key ? 'checked="checked"' : '';
            ?>
            <div id="select_logo_source_<?php echo $key; ?>" class="tt_radio_button_container">
                <input type="radio" name="themater_logo_source" value="<?php echo $key; ?>" <?php echo $logo_source_selected; ?> id="logo_source_id_<?php echo $key; ?>" /> <a href="javascript:themater_logo_source_js('<?php echo $key; ?>');" class="tt_radio_button"><?php echo $val; ?></a>
            </div>
            <?php
        }
        ?>
            <script type="text/javascript">
                function themater_logo_source_js(source)
                {
                    $thematerjQ("#themater_logo_image").hide();
                    $thematerjQ("#select_logo_source_image a").removeClass('tt_radio_button_current');
                    $thematerjQ("#select_logo_source_image").find(":radio").removeAttr("checked");
                    
                    $thematerjQ("#themater_logo_text").hide();
                    $thematerjQ("#select_logo_source_text a").removeClass('tt_radio_button_current');
                    $thematerjQ("#select_logo_source_text").find(":radio").removeAttr("checked");
                    
                    
                    $thematerjQ("#themater_logo_"+source+"").fadeIn();
                    $thematerjQ("#select_logo_source_"+source+" a").addClass('tt_radio_button_current');
                    $thematerjQ("#select_logo_source_"+source+"").find(":radio").attr("checked","checked");
                }
                jQuery(document).ready(function(){
                    themater_logo_source_js('<?php echo $get_logo_source; ?>');
                });
                
            </script>
        <?php
    }
    
?>